package client.gui.container;

import client.Client;
import common.entity.Entity;
import common.inventory.ContainerEntityInventory;
import common.inventory.IInventory;

public class GuiEntity extends GuiContainer {
	private final IInventory playerInv;
	private final IInventory entity;

	public GuiEntity(IInventory playerInv, IInventory entityInv, Entity entity) {
		super(new ContainerEntityInventory(playerInv, entityInv, entity, Client.CLIENT.player));
		this.playerInv = playerInv;
		this.entity = entityInv;
	}

	public void addElements() {
		this.label(this.entity.getCommandName(), 8, 6);
		this.label(this.playerInv.getCommandName(), 8, this.ySize - 96 + 2);
	}
}
